# Class MariaDbServerCapabilities

java.lang.Object
org.mariadb.jdbc.internal.MariaDbServerCapabilities

public class MariaDbServerCapabilities extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLIENT_DEPRECATE_EOF`
`static final int`
`CLIENT_INTERACTIVE`
`static final int`
`CLIENT_MYSQL`
`static final int`
`CLIENT_PROTOCOL_41`
`static final int`
`CLIENT_SESSION_TRACK`
`static final int`
`COMPRESS`
`static final int`
`CONNECT_ATTRS`
`static final int`
`CONNECT_WITH_DB`
`static final int`
`FOUND_ROWS`
`static final int`
`IGNORE_SIGPIPE`
`static final int`
`IGNORE_SPACE`
`static final int`
`LOCAL_FILES`
`static final int`
`LONG_FLAG`
`static final long`
`MARIADB_CLIENT_COM_MULTI`
`static final long`
`MARIADB_CLIENT_EXTENDED_METADATA`
`static final long`
`MARIADB_CLIENT_PROGRESS`
`static final long`
`MARIADB_CLIENT_STMT_BULK_OPERATIONS`
`static final int`
`MULTI_RESULTS`
`static final int`
`MULTI_STATEMENTS`
`static final int`
`NO_SCHEMA`
`static final int`
`ODBC`
`static final int`
`PLUGIN_AUTH`
`static final int`
`PLUGIN_AUTH_LENENC_CLIENT_DATA`
`static final int`
`PROGRESS_OLD`
`static final int`
`PS_MULTI_RESULTS`
`static final int`
`RESERVED`
`static final int`
`SECURE_CONNECTION`
`static final int`
`SSL`
`static final int`
`TRANSACTIONS`

## Constructor Summary

Constructors
Constructor
Description
`MariaDbServerCapabilities()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLIENT_MYSQL

public static final int CLIENT_MYSQL

See Also:
  - Constant Field Values

### FOUND_ROWS

public static final int FOUND_ROWS

See Also:
  - Constant Field Values

### LONG_FLAG

public static final int LONG_FLAG

See Also:
  - Constant Field Values

### CONNECT_WITH_DB

public static final int CONNECT_WITH_DB

See Also:
  - Constant Field Values

### NO_SCHEMA

public static final int NO_SCHEMA

See Also:
  - Constant Field Values

### COMPRESS

public static final int COMPRESS

See Also:
  - Constant Field Values

### ODBC

public static final int ODBC

See Also:
  - Constant Field Values

### LOCAL_FILES

public static final int LOCAL_FILES

See Also:
  - Constant Field Values

### IGNORE_SPACE

public static final int IGNORE_SPACE

See Also:
  - Constant Field Values

### CLIENT_PROTOCOL_41

public static final int CLIENT_PROTOCOL_41

See Also:
  - Constant Field Values

### CLIENT_INTERACTIVE

public static final int CLIENT_INTERACTIVE

See Also:
  - Constant Field Values

### SSL

public static final int SSL

See Also:
  - Constant Field Values

### IGNORE_SIGPIPE

public static final int IGNORE_SIGPIPE

See Also:
  - Constant Field Values

### TRANSACTIONS

public static final int TRANSACTIONS

See Also:
  - Constant Field Values

### RESERVED

public static final int RESERVED

See Also:
  - Constant Field Values

### SECURE_CONNECTION

public static final int SECURE_CONNECTION

See Also:
  - Constant Field Values

### MULTI_STATEMENTS

public static final int MULTI_STATEMENTS

See Also:
  - Constant Field Values

### MULTI_RESULTS

public static final int MULTI_RESULTS

See Also:
  - Constant Field Values

### PS_MULTI_RESULTS

public static final int PS_MULTI_RESULTS

See Also:
  - Constant Field Values

### PLUGIN_AUTH

public static final int PLUGIN_AUTH

See Also:
  - Constant Field Values

### CONNECT_ATTRS

public static final int CONNECT_ATTRS

See Also:
  - Constant Field Values

### PLUGIN_AUTH_LENENC_CLIENT_DATA

public static final int PLUGIN_AUTH_LENENC_CLIENT_DATA

See Also:
  - Constant Field Values

### CLIENT_SESSION_TRACK

public static final int CLIENT_SESSION_TRACK

See Also:
  - Constant Field Values

### CLIENT_DEPRECATE_EOF

public static final int CLIENT_DEPRECATE_EOF

See Also:
  - Constant Field Values

### PROGRESS_OLD

public static final int PROGRESS_OLD

See Also:
  - Constant Field Values

### MARIADB_CLIENT_PROGRESS

public static final long MARIADB_CLIENT_PROGRESS

See Also:
  - Constant Field Values

### MARIADB_CLIENT_COM_MULTI

public static final long MARIADB_CLIENT_COM_MULTI

See Also:
  - Constant Field Values

### MARIADB_CLIENT_STMT_BULK_OPERATIONS

public static final long MARIADB_CLIENT_STMT_BULK_OPERATIONS

See Also:
  - Constant Field Values

### MARIADB_CLIENT_EXTENDED_METADATA

public static final long MARIADB_CLIENT_EXTENDED_METADATA

See Also:
  - Constant Field Values

## Constructor Details

### MariaDbServerCapabilities

public MariaDbServerCapabilities()